server.port=8323
spring.application.name=uims-message
logging.level.root=info
logging.path=./logs/uims_message
#\u6570\u636E\u5E93\u914D\u7F6E
spring.datasource.url=jdbc:mysql://10.0.0.63:3306/uims_message?characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai&zeroDateTimeBehavior=convertToNull
spring.datasource.username=root
spring.datasource.password=100zone
spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.datasource.hikari.max-lifetime=30000
mybatis-plus.mapper-locations=classpath:mapper/*.xml
mybatis-plus.type-aliases-package=com.zcxk.entity
mybatis-plus.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl

spring.jackson.time-zone=GMT+8
#spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
#spring.jackson.joda-date-time-format: yyyy-MM-dd HH:mm:ss

# redis
spring.redis.host=10.0.0.63
spring.redis.port=6379
spring.redis.database=2
spring.redis.timeout=36000

# Lettuce
# \u8FDE\u63A5\u6C60\u6700\u5927\u8FDE\u63A5\u6570\uFF08\u4F7F\u7528\u8D1F\u503C\u8868\u793A\u6CA1\u6709\u9650\u5236\uFF09
spring.redis.lettuce.pool.max-active=8
# \u8FDE\u63A5\u6C60\u6700\u5927\u963B\u585E\u7B49\u5F85\u65F6\u95F4\uFF08\u4F7F\u7528\u8D1F\u503C\u8868\u793A\u6CA1\u6709\u9650\u5236\uFF09
spring.redis.lettuce.pool.max-wait=100
# \u8FDE\u63A5\u6C60\u4E2D\u7684\u6700\u5927\u7A7A\u95F2\u8FDE\u63A5
spring.redis.lettuce.pool.max-idle=8
# \u8FDE\u63A5\u6C60\u4E2D\u7684\u6700\u5C0F\u7A7A\u95F2\u8FDE\u63A5
spring.redis.lettuce.pool.min-idle=0
# \u5173\u95ED\u8D85\u65F6\u65F6\u95F4
spring.redis.lettuce.shutdown-timeout=100


security.oauth2.client.client-id=smart-city-v2
security.oauth2.client.client-secret=smart-city-v2-123
security.oauth2.resource.id=smartcity-deivice-service
security.oauth2.resource.user-info-uri=http://10.0.0.62:8321/user/principal

security.oauth2.resource.prefer-token-info=false


spring.servlet.multipart.max-file-size=100MB
spring.servlet.multipart.max-request-size=100MB
spring.servlet.multipart.location=${logging.path}/data
######################################################RabbitMq\u914D\u7F6E#####################################################
spring.rabbitmq.addresses=10.0.0.63:5672
spring.rabbitmq.username=admin
spring.rabbitmq.password=100zone
spring.rabbitmq.virtual-host=/
spring.rabbitmq.connection-timeout=15000
spring.rabbitmq.publisher-confirm-type=correlated
spring.rabbitmq.publisher-returns=true
spring.rabbitmq.template.mandatory=true
user.connections=userConnection
dispath.queue=dispath
receive.queue.name=receive
receive.exchange.name=messageExchange
receive.routing.key=receiveKey
dispath.routing.key=dipathKey
spring.cloud.nacos.discovery.server-addr=10.0.0.63:8848

